Error
A valid request URL is required to generate request examples{
"resourceAttributeTypes": [
{
"iconPropKey": "...",
"name": "...",
"description": "...",
"languageTagKey": "...",
"sysidCategory": 12345,
"displayOrder": 12345,
"sysidResourceAttributeType": 12345,
"sysidResourceAttribute": 12345,
"sysidAttributeDataType": 12345
},
{
"iconPropKey": "...",
"name": "...",
"description": "...",
"languageTagKey": "...",
"sysidCategory": 12345,
"displayOrder": 12345,
"sysidResourceAttributeType": 12345,
"sysidResourceAttribute": 12345,
"sysidAttributeDataType": 12345
}
]
}ResourceService
Get resourcesattribute types
Retrieves the custom resource attribute data defined for a particular Resource Category as identified by the category ID path parameter.
For more information, see Resource Attribute .
This operation returns a Resource Attribute Type Data Wrapper with the following fields:
GET
/
resources
/
attribute-types
/
{categoryId}
Error
A valid request URL is required to generate request examples{
"resourceAttributeTypes": [
{
"iconPropKey": "...",
"name": "...",
"description": "...",
"languageTagKey": "...",
"sysidCategory": 12345,
"displayOrder": 12345,
"sysidResourceAttributeType": 12345,
"sysidResourceAttribute": 12345,
"sysidAttributeDataType": 12345
},
{
"iconPropKey": "...",
"name": "...",
"description": "...",
"languageTagKey": "...",
"sysidCategory": 12345,
"displayOrder": 12345,
"sysidResourceAttributeType": 12345,
"sysidResourceAttribute": 12345,
"sysidAttributeDataType": 12345
}
]
}Path Parameters
: Integer ID of the resource category for which we are retrieving custom attributes.
Response
200 - application/json
A list of Resource Attribute values, where eacy Resource Attribute has a name and description, as well as an attribute data type and value. The data type may be Numeric, String, Boolean, or DateTime.
com.agilquest.phoenix.shared.data.rest.wrapper.ResourceAttributeTypeDataWrapper
Show child attributes
Show child attributes

